Bug 1438360 - The originalMemberOf attribute disappears from the cache, causing intermittent HBAC issues
Summary: The originalMemberOf attribute disappears from the cache, causing intermitten...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd
Version: 6.8
Hardware: All
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: SSSD Maintainers
QA Contact: ipa-qe
URL:
Whiteboard:
Depends On:
Blocks: 1473005
TreeView+ depends on / blocked
 
Reported: 2017-04-03 08:22 UTC by Thorsten Scherf
Modified: 2020-12-14 08:26 UTC (History)
13 users (show)

Fixed In Version: sssd-1.13.3-57.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1473005 (view as bug list)
Environment:
Last Closed: 2018-06-19 05:13:47 UTC
Target Upstream Version:


Attachments (Terms of Use)
Console log (12.26 KB, text/plain)
2018-03-22 10:47 UTC, anuja
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github SSSD sssd issues 4410 0 None closed SSSD should use memberOf, not originalMemberOf to evaluate group membership for HBAC rules 2020-07-02 16:54:30 UTC
Red Hat Product Errata RHSA-2018:1877 0 None None None 2018-06-19 05:15:04 UTC

Description Thorsten Scherf 2017-04-03 08:22:30 UTC
Description of problem:

The issue is that a hbac rule denies access to a system. This is because the user object in the sssd cache is missing the "originalMemberOf" attr which used by the hbac rule to decide if access is allowed or denied. The attribute must have been removed from the cache by some operation. It's unclear though which operation triggered the removal.


Version-Release number of selected component (if applicable):
sssd-1.13.3-22.el6_8.4.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 6 Jakub Hrozek 2017-06-21 18:15:24 UTC
Upstream ticket:
https://pagure.io/SSSD/sssd/issue/3382

Comment 7 Jakub Hrozek 2017-06-21 19:08:28 UTC
master:
    c92e49144978ad3b6c9fffa8803ebdad8f6f5b18
sssd-1-14:
    e1dafa7acf28e3e34b15def05ab5f065fdee10e8
sssd-1-13 version is being reviewed, but since the bug is fixed upstream, I'm moving the bug to POST.

Comment 14 Fabiano Fidêncio 2018-02-26 22:19:41 UTC
sssd-1-13:
*88f6d8a

And this bug has been added to the build a long time ago.

Comment 16 anuja 2018-03-22 10:45:38 UTC
Verified Using:
ipa-client-3.0.0-51.el6.x86_64
sssd-1.13.3-58.el6_9.x86_64

Setup:
Master : RHEL 7.5
AD     : Windows 2016
client : RHEL 6.9

Step 1:
---------------------
IPA server installed on RHEL-7.5 and trust established using windows 2016
IPA client is installed on RHEL-6.9

Step 2 :   On client 
---------------------
# id aduser1@ipaad2016.test

Step 3 :  On IPA server
---------------------
# ipa group-add --desc=0 hbacgroup_external --external
# ipa group-add-member hbacgroup_external --external='adgroup1@ipaad2016.test' --users='' --groups=''
# ipa group-add --desc=0 hbacgroup
# ipa group-add-member hbacgroup --groups=hbacgroup_external
# ipa hbacrule-add hbacrule --hostcat=all --servicecat=all
# ipa hbacrule-add-user hbacrule --groups='hbacgroup'
# ipa hbacrule-disable allow_all
# ipa hbacrule-find --all hbacrule

Step 5 :  On Client 
-------------------
# ldbsearch -H /var/lib/sss/db/cache_IPA-master.ldb
# ldbsearch -H /var/lib/sss/db/cache_tomupn14.test.ldb  | grep 'originalMemberOf: cn=hbacgroup'
# id aduser1@ipaad2016.test | grep hbacgroup


Console logs are added in attachment.

Comment 17 anuja 2018-03-22 10:47:39 UTC
Created attachment 1411684 [details]
Console log

Console logs for verification steps.

Comment 20 errata-xmlrpc 2018-06-19 05:13:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1877


Note You need to log in before you can comment on or make changes to this bug.